/*
 * KROC translator: Function definitions and prototypes
 *
 * $Source: /extra/play/cvs/kroc/src/target/asm-utils.h,v $
 *
 * $Id: asm-utils.h,v 1.1 1999/09/27 21:24:00 rivimey Exp $
 *
 * asm.h
 * (C) Copyright 1999 R. Ivimey-Cook <ruthc@sharra.demon.co.uk>
 *
 */

#ifndef OCTRAN_ASMUTILS_H
#define OCTRAN_ASMUTILS_H

#ifndef bool_defined
typedef enum { false, true } bool;
#define bool_defined
#endif

bool OpenOutputFile(char *name);
void CloseOutputFile();
const char *GetCurrentFilename();
void Output(const char *str);
void OutputF(const char *str, ...);
void NewLine(void);
void SpaceTo(int p);
void OutputTab(void);

#endif
