/*
 * KROC SPARC translator: Input and output on channels
 *
 * $Source: /extra/play/cvs/kroc/src/target/sparc/f_comm.c,v $
 *
 * $Id: f_comm.c,v 1.1 1999/09/27 21:10:13 rivimey Exp $
 *
 * (C) Copyright 1995 D.C. Wood <D.C.Wood@ukc.ac.uk>
 * University of Kent at Canterbury
 *
 * SPARC target only.
 */

static char f_comm_c_rcsid[] = "$Id: f_comm.c,v 1.1 1999/09/27 21:10:13 rivimey Exp $";

#include "octran.h"

void IN ()			/* all scheduler calls use adjusted PC */
{	extcall(X_IN); NL;
	ADJUST; nl;
	istackp = 0;
	ishuff = 0;
}

void OUT ()
{	extcall(X_OUT); NL;
	ADJUST; nl;
	istackp = 0;
	ishuff = 0;
}

void OUTBYTE ()
{	shufflecount += shuffle (istackp, 2);	/* requires TWO items on stack */
	extcall(X_OUTBYTE); NL;
	ADJUST; nl;
	istackp = 0;
	ishuff = 0;
}

void OUTWORD ()
{	shufflecount += shuffle (istackp, 2);	/* requires TWO items on stack */
	extcall(X_OUTWORD); NL;
	ADJUST; nl;
	istackp = 0;
	ishuff = 0;
}
