
!
! KROC SPARC keyboard channel access for occam
!
! $Source: /extra/play/cvs/kroc/src/target/sparc/getkey.s,v $
!
! $Id: getkey.s,v 1.1 1999/09/27 21:10:13 rivimey Exp $
!
! (C) Copyright 1996 D.C. Wood <D.C.Wood@ukc.ac.uk>
! University of Kent at Canterbury
!
! This code is callable from occam and makes direct access to
! kbd_chan (Vptr+kc)
!

#include "sched.h"

	.text
MAKENAME(getkey_s_rcsid):
	.ascii	"$Id: getkey.s,v 1.1 1999/09/27 21:10:13 rivimey Exp $\0"

	.align	4

!	PROC S.getkey (INT keyval)

	.global	$S_getkey

$S_getkey:
	ld	[Wptr+4],R	!  R -> keyval
	add	Vptr,kc,Q	!  Q -> kbd_chan
	mov	1,P		!  one byte
	call	$$in		!  kbd_chan ? keyval
	inc	8,L		!* adjust PC

	ld	[Wptr],L	!  occam return
	retl
	inc	16,Wptr		!* 
!	----------------

!	PROC S.pollkey (INT result, keyval)

	.global	$S_pollkey

$S_pollkey:
	ld	[Vptr+kc],T0	!  kbd_chan = nil?
	cmp	T0,MIN
	beq	1f		!    yes
	ld	[Wptr+8],R	!* R -> keyval
!	clr	[R]		!  keyval := 0
	ld	[Wptr+4],T0	!  T0 -> result
	mov	128,T1		!  result := 128
	ba	2f
	st	T1,[T0]		!*
!	----------------

1:	add	Vptr,kc,Q	!  Q -> kbd_chan
	mov	1,P		!  one byte
	call	$$in		!  kbd_chan ? keyval
	inc	8,L		!* adjust PC
	ld	[Wptr+4],R	!  R -> result
2:	clr	[R]		!  result := 0

	ld	[Wptr],L	!  occam return
	retl
	inc	16,Wptr		!* 
!	----------------
