/*
 * KROC translator: Special instructions for the T414.
 *
 * $Source: /extra/play/cvs/kroc/src/host/f_t414.c,v $
 *
 * $Id: f_t414.c,v 1.1 1999/09/27 21:10:12 rivimey Exp $
 *
 * (C) Copyright 1995,1996,1997 D.C. Wood <D.C.Wood@ukc.ac.uk>
 * University of Kent at Canterbury
 *
 * NOTE: Not implemented
 * Might be useful for a target without floating-point hardware.
 */

static char f_t414_c_rcsid[] = "$Id: f_t414.c,v 1.1 1999/09/27 21:10:12 rivimey Exp $";

#include "octran.h"

void UNPACKSN (void)
{
  PUSH;			/* 2 -> 3 */
  unimp ();
}

void ROUNDSN (void)
{
  unimp ();
  pop(2);			/* 3 -> 1 */
}

void POSTNORMSN (void)
{
  unimp ();		/* 3 -> 3 */
}

void LDINF (void)
{
  PUSH;
  unimp ();
}

void CFLERR (void)
{
  unimp ();
}
