#ifndef CSPLIB
#include "sched_types.h"
#include "sched_consts.h"
#include "sched.h"
#include "sched_asm_inserts.h"
#include "occam_io.h"
#include "queue_defs.h"
#include <stdlib.h>
#include <stdio.h>

extern void _occam_start(); /* occam code entry point */
extern word _wsbytes; /* occam workspace size */
extern word _vsbytes; /* occam vectorspace size */
extern void *kernel(); /* set up jump table */

extern FILE *kroc_out;
extern FILE *kroc_err;

#warning using occam entry point code
int _enter () {
  char * ws, *vs;
  void *hard_print = kernel(); /* returns pointer to hard print code to pass to */
                               /* init_occam_io - need to change this... */
  init_occam_io(hard_print);
  /*Wptr = (word *)malloc(_wsbytes+(Frame*4));*/
  Wptr = (word *)(ws=malloc(_wsbytes+24+_vsbytes+256));   /* Frame is 14, too small!
 */
  (byte *)Wptr += _wsbytes;
  sf.combined_sync = 0;
  Wptr[1] = (word)&kbd_chan;
  Wptr[2] = (word)&scr_chan;
  Wptr[3] = (word)&err_chan;
  /*Wptr[4] = (word)malloc(_vsbytes);*/
  Wptr[4] = (word)(vs=ws+(_wsbytes+24+128));
  Fptr = Bptr = Tptr = NotProcess_p;
  STATUS = 0;
  scr_workspace[Device] = (word)kroc_out;
  err_workspace[Device] = (word)kroc_err;
  RESTORE;
  _occam_start();
  STATUS &= 1;
  return STATUS;
}
#endif 
