#ifndef QUEUE_DEFS_H
#define QUEUE_DEFS_H

#include "sched_types.h"
#include "sched_consts.h"

#ifdef PRIORITIES
  #define NUM_PRIORITIES 32

  #if 0
    extern word* Fptr[NUM_PRIORITIES];
    extern word* Bptr[NUM_PRIORITIES];
  
    extern priority_t priority_table;
  #else
    extern prioratised_queue runq;
    extern int current_max_priority; /* only for run queue */
  #endif
#else
  extern word* Fptr;
  extern word* Bptr;
#endif
#endif /* queue_defs.h */
