

static FILE *output;
static linepos;
static lineno;
static char filename[MAXPATH];

bool OpenOutputFile(char *name)
{
    linepos = 0;
    lineno = 0;
    output = fopen(name, "w");
    if (output == NULL)
    {
        return FALSE;
    }
    else
    {
        
    }
}

void CloseOutputFile()
{
    if (output != NULL)
        fclose(output);
    output = NULL;
}

const char *GetCurrentFilename()
{
    return filename;
}

void Output(const char *str)
{
    char *p;
    for(p = buf; *p; p++)
    {
        if (*p == '\n')
            NewLine();
        else
        {
            fputc(*p, output);
            linepos++;
        }
    }
}

void OutputF(const char *str, ...)
{
    static char buf[512];
    va_arg a;

    va_start(a, str);
    vsprintf(buf, str, a);
    va_end(a);
    Output(buf);
}

void NewLine(void)
{
    lineno ++;
    linepos = 0;
    fputc('\n', output);
}

void SpaceTo(int p)
{
    if (linepos >= p)
        NewLine();
    while(linepos++ < p)
        fputc(' ', output);
}

void OutputTab()
{
    int size = GetTabSize();
    
    do
    {
        fputc(' ', output);
    } while((++linepos % size) != 0)
}
